#
# spec file for package perl-Bit-Vector (Version 6.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Carp-Clan permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           perl-Bit-Vector
BuildRequires:  perl-Carp-Clan
Version:        6.4
Release:        13.5
Requires:       perl = %{perl_version}
Requires:       perl-Carp-Clan
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://cpan.org/modules/by-module/Bit/
Summary:        Efficient bit vector, set of integers and "big int" math library
Source:         Bit-Vector-%{version}.tar.bz2
Patch:          Bit-Vector-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bit::Vector is an efficient C library which allows you to handle bit
vectors, sets (of integers), "big integer arithmetic" and boolean
matrices, all of arbitrary sizes



Authors:
--------
    Steffen Beyer <sb@engelschall.com>

%debug_package
%prep
%setup -n Bit-Vector-%{version}
%patch

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
%perl_make_install
%perl_process_packlist
for i in `ls *.txt`; do mv $i `basename $i .txt`; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Artistic CHANGES CREDITS GNU_GPL GNU_LGPL README examples
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Bit
%{perl_vendorarch}/auto/Bit
/var/adm/perl-modules/%{name}

%changelog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 01 2005 - mjancar@suse.cz
- update to 6.4
- add perl-Carp-Clan to Requires
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- use $RPM_OPT_FLAGS
- fix filelist
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Sat Oct 12 2002 - prehak@suse.cz
- update to version 6.3
- removed .txt extension from documentation files
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Mon Jan 21 2002 - rvasice@suse.cz
- initial package release (version 6.1)
